0
votes
1answer
29 views

Disabling the dialogs shown when opening an application for the first time on OSX

I am making an app on osx 10.9 using python 2.7. But when it is launched first time, warning comes. You are opening the application MYAPP for the first time. Are you sure you want to open this ...
1
vote
1answer
65 views

Python 2.x and Python 3.x with Beautiful Soup Package on Mac OSX 10.9.5

I am fairly new to Python and have run into some problems installing Beautiful Soup. I am running Mac OSX 10.9.5. I installed and used Python 3.4 during a summer and installed Beautiful Soup 4 for a ...
0
votes
0answers
28 views

Can't install PIP, Easy Install or Setup Tools on a mac

I am unable to install any thing on my mac via the terminal - Pip, Easy Install or the Setup tools for python packages. A screenshot of my terminal while installing the pip looks like this: Could ...
0
votes
1answer
38 views

How do I run a plist daemon on MAC OS 10.8.5 with the correct file permissions

I have a plist file saved to /Library/LaunchDaemons/local.WiFiDaemon.plist <?xml version="1.0" encoding="UTF-8"?> <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" ...
0
votes
1answer
130 views

Why Does Clicking on Applescript Notifications Open the AppleScript Editor?

I'm experimenting with AppleScript and with Python. But the big issue i'm having now is not about Python specifically. The end goal is to be able to write Python scripts that use AppleScript features. ...
0
votes
0answers
39 views

How can I remove anything related to python aside from the default installation on os x mavericks?

I have a really messed up python installation. I have the preinstalled version of python that comes with os x mavericks. then I installed the homebrew version with brew install python. Then I ...
0
votes
0answers
74 views

gcc fails with “No available targets” on Mac OS 10.9.2

When I try to install pycrypto or psychopg2 on my macbook, I get this error: gcc -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -fno-strict-aliasing -fno-common -dynamic -std=c99 ...
1
vote
2answers
980 views

Apple Mavericks - why doesn't this one-line BASH script set my Python virtual environment like I expect?

I have the following Bash script: #!/bin/bash echo $MYPROJECT_HOME/bin/myproject_venv/bin/activate source $MYPROJECT_HOME/bin/myproject_venv/bin/activate echo ...
0
votes
2answers
85 views

Automating python script on a mac not running

I have tried to have this question answered twice now(1, 2). While both were informative none of the solutions have worked, and I don't know why. The first solution was to use launchctl the second was ...
1
vote
1answer
186 views

How to change default Python path to 2.6 from 2.7.2 on iMac OSX Lion 10.8.5?

I need to install Scipy, Numpy, Scikit-Learn on my iMac, which runs on OSX Lion 10.8.5, the default Python is 2.7.2. I have downloaded Scipy, Numpy, Scikit-learn, but could not install them because ...
0
votes
1answer
91 views

launchctl plist file not running

I have created a python script, I would like it to run on my mac some time after 4:30 every weekday. I followed the instructions a launchctl plist file here. But it doesn't run, I looked for solutions ...
1
vote
0answers
164 views

Mac: Run screen command from launchctl

I have a Python script that I would like to run on a Mac at system start up in a detached screen session. The Python File (foo.py): import time import datetime while True: print 'hello', ...
3
votes
1answer
2k views

How do you install libtorrent-rasterbar Python bindings with a brewed Python?

The standard approach does not work: brew install libtorrent-rasterbar Will install the boost requirement (linked against the system Python), and libtorrent-rasterbar will install without any ...
1
vote
1answer
648 views

From where can I get “Python Launcher” for Mac OS X Lion?

I use a macbook (air) with OS X Lion on it. I have Python 2.7 installed already but I can't seem to find a "Python Launcher.app" anywhere on the system. I tried installing with with pip but it ...
2
votes
1answer
219 views

GCC error could not create c++ files during pyqt4 install in osx lion using xcode 4.5.1

Intel mac osx lion 10.7. Installed xcode 4.5.1 version and also installed command line tools from xcode preferences. Could not install python 3.2.x from its source code since i wanted to create so ...
0
votes
1answer
720 views

Installing Python with homebrew on Mountain Lion

I was trying to follow this tutorial and I got stuck. After issuing the command brew install python --framework --universal I get ==> /usr/local/Cellar/python/2.7.3/bin/python -s setup.py ...
7
votes
1answer
588 views

Get Python to raise MemoryError instead of eating all my disk space

If I run a Python program with a memory leak, I would normally expect the program to eventually die with MemoryError. But instead, what happens is that all the virtual memory is used until my disk ...
0
votes
1answer
82 views

script using the wrong python version

when i type pyton on the terminal , i get the following: Python 2.7.3 (v2.7.3:70274d53c1dd, Apr 9 2012, 20:32:06) [GCC 4.0.1 (Apple Inc. build 5493)] on darwin Type "help", "copyright", "credits" ...
1
vote
2answers
271 views

iPython in Terminal.app: multi-line editing

I'm using iPython in Terminal.app (on Mac), and when I scrollback to a multi-line block it's really slow moving between lines. Is there a keybinding (or can I configure one) to make it possible to ...
2
votes
0answers
232 views

Mac 10.5 Python libsvm 64 bit vs 32 bit

I have a Mac 10.5 when I type "python" in terminal, it says Enthought Python Distribution -- www.enthought.com Version: 7.3-2 (64-bit) Python 2.7.3 |EPD 7.3-2 (64-bit)| (default, Apr 12 2012, ...
3
votes
1answer
657 views

Can I manpulate Little Snitch access control lists via CLI on Mac OS X?

I am running Little Snitch on Mac OS X, which lets me control how individual processes access the network. Currently, every time a new application tries to go online, I have to confirm or deny its ...
0
votes
1answer
86 views

Python by default on all unix systems? [closed]

There was a discussion on which language to choose for a system checker. The system checker is supposed to be a script running on unix systems. On Gnu/Linux systems seem to always have it installed ...
1
vote
1answer
1k views

How to run python script on startup with sudo permission on Mac OS

I have created a script with python that basically ping all servers found in my lists. I need this script to be run on startup with sudo permission. So the question is, How do you run the script on ...
0
votes
1answer
469 views

osx: setting default python for files in terminal?

How do I set the default python for running py files without "python" keyword i.e $ django-admin.py manage.py startproject" in bash shell?
1
vote
1answer
85 views

Using Python on a Mac: It doesn't let me Script?

Tamara-Lovs-MacBook-Pro:~ Tamara$ Tamara-Lovs-MacBook-Pro:~ Tamara$ 1+1 -bash: 1+1: command not found That is what comes up when I open the terminal. Tamara Lov is the name my Mac is registered ...
0
votes
1answer
186 views

Exclude pyc files from spotlight results (Mac OS X)

How should I go about disabling specific files with extensions .pyc from showing up in my quick spotlight search results?
2
votes
3answers
1k views

Debugging a world of hell when trying to install MySQL-Python on Mac OS X

I've been trying for weeks and weeks to install MySQL-python with absolutely no luck, on Mac OS X 10.6 with Python 7.0 from the Enthought Python Distribution. Many of the issues I ran into have been ...
0
votes
1answer
390 views

How to get the python-markdown command?

I'm trying to use python-markdown. I've already followed these steps of installation: http://www.freewisdom.org/projects/python-markdown/Installation, but the command still is unavailable. I'm ...
5
votes
4answers
13k views

How can I update the default Python installation/fix my $PATH on Mac OS X 10.6.7?

I know this question has been asked before on this site, and I have found a couple worthy discussions, but the solutions I've found and tried do not work. I want to learn Python and I'm having trouble ...
0
votes
1answer
2k views

module _bsddb not found error when trying to install planet library on Mac OS X

I'm trying to install planet, but I get an error: /Users/john/Projects/planetprocessing/planet-2.0/planet/__init__.py:33: DeprecationWarning: the md5 module is deprecated; use hashlib instead ...
0
votes
1answer
192 views

A very wierd problem with Ubuntu/SSH/Folders … Sorry, I really lost over here with this one

I'm developing on Ubuntu 10.04 with Python/Django. I'm having a wierd and very inconsistent problem over here. It is even hard to explain, but here we go. I'm using PIL (a Python Module for working ...
2
votes
1answer
138 views

/usr/share/python/debian_defaults Ubuntu / Mac equivalent

After a lot of trial and error, I upgraded my system's default version of Python on Ubuntu. The debian_defaults file was part of the solution on Linux. Now I am trying to do the same thing on my ...
2
votes
3answers
820 views

Install gcc on OS X Snow Leopard

I'm trying to install the Python Imaging Library on a MacBook running 10.6 Snow Leopard. I haven't yet found a precompiled binary for OS X, so I need to compile it from source, which means I need ...
3
votes
0answers
3k views

Python Can't Find Platform Dependent Libraries — Mac Homebrew Install

In an effort to purify my environment I have recently eliminated MacPorts and all traces therein from my Mac OS 10.6.6 box, replacing it with the hip new Homebrew (https://github.com/mxcl/homebrew). ...
3
votes
3answers
1k views

Using Python on Mac

I want to learn Python using my Mac. Now I want to setup a Python version >= 3.1.3, because my materials for learning are using this version. Typing python into terminal results version 2.6.1, using ...
2
votes
1answer
118 views

problems on installing py25-py2app-devel

I'm trying to install py25-py2app-devel on a Mac 10.5.8 Darwin 9.8.0 because it's required to py25-matplotlib. Using porticus I receive this error: Error: Target org.macports.destroot returned: ...
2
votes
2answers
404 views

Creating aliases for version specific macports ports

In Macports, I've just installed 'python27' along with various 'py27-*' ports. I've noticed that ports like 'py27-nose' and 'py27-pip' are available in my path as 'nose-2.7' and 'pip-2.7'. I can use ...
0
votes
1answer
2k views

How to install LIBSVM for Python 2.65 on Mac OS X 10.6.4 Snow Leopard?

I would prefer to install libsvm without resorting to the use of a package manager other than homebrew. Any ideas? Thank you, Michaux
1
vote
1answer
1k views

Set default open-with app to a Python program on a Mac

I use the open source application UliPad to edit restructured text files (rst). It is a Python application that I launch via Terminal like so: python32 UliPad.py I have python32 as an alias to the ...
0
votes
1answer
442 views

Can't install Mercurial on Mac OS X 10.5.8

When selecting the volume in the installation program it says "You cannot install Merucrial on this volume. Mercurial requires Apple Python 2.6". I tried installing the latest version of Python from ...
1
vote
2answers
1k views

install pymedia and python audio tools

I noticed a pattern of errors while trying to install PyMedia and Python Audio Tools. For both modules I run the following: $ python setup.py install Then I get a series of compilation errors, and ...
1
vote
1answer
366 views

Error installing protocol buffer on snow leopard

I've just installed Google protocol buffer on my snow leopard mac. When going into the python shell import protobuf produces an unknown module error. I'm using the python which came with snow ...
25
votes
4answers
64k views

How can I change the default Python version on Snow Leopard?

I recently upgraded my Mac OS X 10.5 Leopard install to 10.6 Snow Leopard, and with that came an upgraded version of Python, 2.6.1 (instead if 2.5.1). Now when I type python in the Terminal i still ...
6
votes
3answers
18k views

How do I properly update Python on Mac OS X

If I download python from the Python website and try to install it with the installer, it installs, but I need to specify that I want the new version of Python when I run my programs from terminal. If ...